Bug 1294646 - [abrt] kf5-kactivities: QtWaylandClient::QWaylandDisplay::exitWithError(): kactivitymanagerd killed by SIGSEGV
[abrt] kf5-kactivities: QtWaylandClient::QWaylandDisplay::exitWithError(): ka...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kactivities (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cca985eccced57fdd2fe26ac94c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 07:25 EST by Mustafa Muhammad
Modified: 2017-08-08 08:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.70 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: cgroup (362 bytes, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (7.55 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: dso_list (14.26 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: environ (2.77 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: maps (62.72 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: open_fds (1.57 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-29 07:26 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2015-12-29 07:25:59 EST
Version-Release number of selected component:
kf5-kactivities-5.17.0-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QtWaylandClient::QWaylandDisplay::exitWithError
executable:     /usr/bin/kactivitymanagerd
global_pid:     3712
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #11 QtWaylandClient::QWaylandDisplay::exitWithError at qwaylanddisplay.cpp:210
 #12 QtWaylandClient::QWaylandDisplay::flushRequests at qwaylanddisplay.cpp:193
 #13 QMetaObject::activate at kernel/qobject.cpp:3730
 #15 QSocketNotifier::activated at .moc/moc_qsocketnotifier.cpp:134
 #16 QSocketNotifier::event at kernel/qsocketnotifier.cpp:260
 #17 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3712
 #18 QApplication::notify at kernel/qapplication.cpp:3493
 #19 QCoreApplication::notifyInternal2 at kernel/qcoreapplication.cpp:1013
 #20 QCoreApplication::sendEvent at ../../src/corelib/kernel/qcoreapplication.h:227
 #21 socketNotifierSourceDispatch at kernel/qeventdispatcher_glib.cpp:100
Comment 1 Mustafa Muhammad 2015-12-29 07:26:06 EST
Created attachment 1110190 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2015-12-29 07:26:08 EST
Created attachment 1110191 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2015-12-29 07:26:10 EST
Created attachment 1110192 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2015-12-29 07:26:12 EST
Created attachment 1110193 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2015-12-29 07:26:14 EST
Created attachment 1110194 [details]
File: environ
Comment 6 Mustafa Muhammad 2015-12-29 07:26:15 EST
Created attachment 1110195 [details]
File: exploitable
Comment 7 Mustafa Muhammad 2015-12-29 07:26:17 EST
Created attachment 1110196 [details]
File: limits
Comment 8 Mustafa Muhammad 2015-12-29 07:26:19 EST
Created attachment 1110197 [details]
File: maps
Comment 9 Mustafa Muhammad 2015-12-29 07:26:21 EST
Created attachment 1110198 [details]
File: mountinfo
Comment 10 Mustafa Muhammad 2015-12-29 07:26:23 EST
Created attachment 1110199 [details]
File: namespaces
Comment 11 Mustafa Muhammad 2015-12-29 07:26:24 EST
Created attachment 1110200 [details]
File: open_fds
Comment 12 Mustafa Muhammad 2015-12-29 07:26:26 EST
Created attachment 1110201 [details]
File: proc_pid_status
Comment 13 Mustafa Muhammad 2015-12-29 07:26:28 EST
Created attachment 1110202 [details]
File: var_log_messages
Comment 14 Mustafa Muhammad 2016-02-24 04:18:42 EST
Similar problem has been detected:

This happened in a wayland session

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QtWaylandClient::QWaylandDisplay::exitWithError
executable:     /usr/bin/kactivitymanagerd
global_pid:     1962
kernel:         4.5.0-0.rc5.git0.1.fc24.x86_64
package:        kf5-kactivities-5.19.0-1.fc24
reason:         kactivitymanagerd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Jan Kurik 2016-02-24 09:11:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Fedora End Of Life 2017-07-25 15:41:53 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:36:14 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.